#!/bin/bash
#---2022/10/14 UK global ensemble mean track calculations 

JMODEL=ukes
JYYYY=2023
JMM=$1
JDD=$2
JCYC=$3

export pmodel=${JMODEL}
export ymdh=${JYYYY}${JMM}${JDD}${JCYC}
export yyyymmdd=${JYYYY}${JMM}${JDD}
export cycle=${JCYC}

export ROOT=/lfs/h2/emc/vpppg/noscrub/jiayi.peng/UKMET_atcf/ensemble
export ROOTptmp=$ROOT/ptmp

#----------------------------------------------------------------------------------------------------
if [ ${pmodel} = 'ukes' ]; then

##### get UK ensemble mean tracks ###################
DATAukes=$ROOTptmp/UKMET
if [ ! -d ${DATAukes} ]; then mkdir -p ${DATAukes}; fi

TRACK_OUT=$ROOT/track/${pmodel}.${ymdh}
if [ ! -d ${TRACK_OUT} ]; then mkdir -p ${TRACK_OUT}; fi

cp $ROOT/DATA/MOGREPSG_ADECK_${ymdh}.txt ${TRACK_OUT}

cd ${TRACK_OUT}
grep "UE00" MOGREPSG_ADECK_${ymdh}.txt > trak.ue00.atcfunix.${ymdh}
export memlist="01 02 03 04 05 06 07 08 09 10 \
                11 12 13 14 15 16 17 18 19 20 \
                21 22 23 24 25 26 27 28 29 30 \
                31 32 33 34 35 "
for mem in $memlist; do
  grep "UE${mem}" MOGREPSG_ADECK_${ymdh}.txt > trak.ue${mem}.atcfunix.${ymdh} 
#  cp trak.ue${mem}.atcfunix.${ymdh} trak.uk${mem}.atcfunix.${ymdh}
  grep "AL, " trak.ue${mem}.atcfunix.${ymdh} > trak.ue${mem}.atcfunix.${ymdh}_AL
  grep "EP, " trak.ue${mem}.atcfunix.${ymdh} > trak.ue${mem}.atcfunix.${ymdh}_EP
  grep "WP, " trak.ue${mem}.atcfunix.${ymdh} > trak.ue${mem}.atcfunix.${ymdh}_WP
  cat trak.ue${mem}.atcfunix.${ymdh}_AL trak.ue${mem}.atcfunix.${ymdh}_EP trak.ue${mem}.atcfunix.${ymdh}_WP > trak.uk${mem}.atcfunix.${ymdh}
  sed -i -e 's/03, UE/03, UK/g' trak.uk${mem}.atcfunix.${ymdh}
  rm -f trak.ue${mem}.atcfunix.${ymdh}_AL trak.ue${mem}.atcfunix.${ymdh}_EP trak.ue${mem}.atcfunix.${ymdh}_WP
done

cd ${DATAukes}
cp ${TRACK_OUT}/trak.uk??.atcfunix.* ${DATAukes}

/lfs/h2/emc/vpppg/noscrub/jiayi.peng/save/meantkerN/ens_trak_ave.sh ${yyyymmdd} ${cycle} ukes ${DATAukes}
mv ${DATAukes}/trak.ukmn.* ${TRACK_OUT}
mv ${DATAukes}/ukmn.trkprob.* ${TRACK_OUT}
rm -f ${DATAukes}/*

#####################################################
fi


